ALW_register = {}

function ALW_register:loadMap()
	if ALW2.texts == nil then
		ALW2.texts = {}
	end
	for _,n in pairs( { "ALW2_START_AUTOLOAD", "ALW2_STOP_AUTOLOAD", "ALW2_START_UNLOAD", "ALW2_STOP_UNLOAD", "ALW2_SWITCH_RIGHT", "ALW2_SWITCH_LEFT", "ALW2_SHOW_LOAD_MARKER",
						"ALW2_HIDE_LOAD_MARKER", "ALW2_SHOW_UNLOAD_MARKER", "ALW2_HIDE_UNLOAD_MARKER", "input_ALW2_TOGGLE_PILES", "input_ALW2_SWITCH_PILE", "input_ALW2_UNLOAD_MARKER_MOVE",
						"input_ALW2_UNLOAD_MARKER_SCALE", "input_ALW2_UNLOAD_MARKER_ROTATE", "ALW2_SHOW_POSITION", "ALW2_HIDE_POSITION", "ALW2_SHOW_HELP", "ALW2_HIDE_HELP" } ) do
		ALW2.texts[n] = g_i18n:getText(n);
	end
end

if g_specializationManager:getSpecializationByName("ALW2") == nil then
	g_specializationManager.addSpecialization('ALW2', 'ALW2', 'ALW2',  Utils.getFilename("Script/ALW.lua", g_currentModDirectory))
	print("----ALW2 registered.")
else
	print("----ALW2 already exists.")
	
end

addModEventListener(ALW_register);